Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
ruby_dtrace_method_hook_args Struct Reference

`#include <probes_helper.h>`

## Data Fields
const char * | classname
const char * | methodname
const char * | filename
int | line_no
volatile VALUE | klass
volatile VALUE | name

## Detailed Description

Definition at line 6 of file probes_helper.h.

## Field Documentation

## ◆ classname

const char * ruby_dtrace_method_hook_args::classname

Definition at line 7 of file probes_helper.h.

## ◆ filename

const char * ruby_dtrace_method_hook_args::filename

Definition at line 9 of file probes_helper.h.

## ◆ klass

volatile VALUE ruby_dtrace_method_hook_args::klass

Definition at line 11 of file probes_helper.h.

## ◆ line_no

int ruby_dtrace_method_hook_args::line_no

Definition at line 10 of file probes_helper.h.

## ◆ methodname

const char * ruby_dtrace_method_hook_args::methodname

Definition at line 8 of file probes_helper.h.

## ◆ name

volatile VALUE ruby_dtrace_method_hook_args::name

Definition at line 12 of file probes_helper.h.

The documentation for this struct was generated from the following files:

- probes_helper.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h